Bewertet mit 4 von 5 Sternen

Is it really not compatible anymore with Firefox 3.6.* ?